Bug 230595 - www/lighttpd: Update to 1.4.50
Summary: www/lighttpd: Update to 1.4.50
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Dirk Meyer
URL:
Keywords: needs-qa, security
Depends on:
Blocks:
 
Reported: 2018-08-13 15:39 UTC by Piotr Kubaj
Modified: 2018-09-20 15:57 UTC (History)
3 users (show)

See Also:
pkubaj: merge-quarterly?


Attachments
patch (1.34 KB, patch)
2018-08-13 15:39 UTC, Piotr Kubaj
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-08-13 15:39:52 UTC
Created attachment 196161 [details]
patch

This patch updates the Lighttpd port to 1.4.50.

Since it contains security fixes, merge to quarterly is recommended.

Builds on 11.2-RELEASE on Poudriere,
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-14 04:20:49 UTC
Comment on attachment 196161 [details]
patch

Correctly use maintainer-approval attachment flag to specify maintainer approval
Comment 2 commit-hook freebsd_committer 2018-08-15 17:23:41 UTC
A commit references this bug:

Author: dinoex
Date: Wed Aug 15 17:23:22 UTC 2018
New revision: 477242
URL: https://svnweb.freebsd.org/changeset/ports/477242

Log:
  - Security update to to 1.4.50
  PR:		230595
  Submitted by:	Piotr Kubaj
  MFH:		2018Q3
  Security:	https://www.lighttpd.net/2018/8/13/1.4.50/

Changes:
  head/www/lighttpd/Makefile
  head/www/lighttpd/distinfo
  head/www/lighttpd/pkg-plist
Comment 3 Dirk Meyer freebsd_committer 2018-08-15 17:42:25 UTC
Committed in head.
Comment 4 Dirk Meyer freebsd_committer 2018-09-20 10:52:15 UTC
MFH:            2018Q3

The Security Update was not commited to Quaterly:
No response from ports-secteam.

Will be merged in 11 days into new Quaterly 2018Q4.
Comment 5 Mark Felder freebsd_committer 2018-09-20 15:56:00 UTC
Hi, sorry about the missed response to the MFH. This falls under the blanket in the handbook, so it can be merged without approval.

https://www.freebsd.org/doc/en_US.ISO8859-1/articles/committers-guide/ports.html#ports-qa-blanket


I'll get the MFH in so this doesn't wait any longer as it has already been far too long since the original commit.
Comment 6 commit-hook freebsd_committer 2018-09-20 15:57:38 UTC
A commit references this bug:

Author: feld
Date: Thu Sep 20 15:57:11 UTC 2018
New revision: 480182
URL: https://svnweb.freebsd.org/changeset/ports/480182

Log:
  MFH: r477242

  - Security update to to 1.4.50
  PR:		230595
  Submitted by:	Piotr Kubaj
  Security:	https://www.lighttpd.net/2018/8/13/1.4.50/

Changes:
_U  branches/2018Q3/
  branches/2018Q3/www/lighttpd/Makefile
  branches/2018Q3/www/lighttpd/distinfo
  branches/2018Q3/www/lighttpd/pkg-plist